View Issue Details

IDProjectCategoryView StatusLast Update
0000287Far Manager 1.7xMacropublic2007-07-16 16:06
ReportersdindikovAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000287: Не воспринимаются переменные начинающиеся с цифр.
DescriptionFAR2229

Читаю в энциклопедии:

"Имя локальной переменной начинается с символа '%', за которым следуют буквы
латинского алфавита, цифры и символ '_'."

"Имя глобальной переменной начинается с двух символов '%%', за которым следуют
буквы латинского алфавита, цифры, и символ '_'."

хмм, а вот если начинается с цифры то сейчас нифига не воспринимается

macro:post %3test="TEST"; $Text %3test
в итоге ничего не выводится

так всё работает:
macro:post %test3="TEST"; $Text %test3

=> проблема если переменные начинаются с цифры

=> либо править help либо макродвижок

ps. с глобальными переменными тоже самое
TagsNo tags attached.
Build

Activities

sdindikov

2007-06-24 12:52

developer   bugnote:0000486

обращаю внимание t-rex опубликовал ньюс о выходе Far Manager 1.71 alpha 4 build 2232

в том числе там говорилось что исправлено:
3. Macro: имена переменных, начинающихся с числа не воспринимаются. Например, %3Proc.

на самом деле тесты показывают что ничего не исправилось.

vskirdin

2007-06-26 12:30

administrator   bugnote:0000489

после 2235

Issue History

Date Modified Username Field Change
2007-05-14 07:46 sdindikov New Issue
2007-05-14 07:46 sdindikov Status new => assigned
2007-05-14 07:46 sdindikov Assigned To => vskirdin
2007-06-24 12:52 sdindikov Note Added: 0000486
2007-06-26 12:30 vskirdin Status assigned => resolved
2007-06-26 12:30 vskirdin Fixed in Version => 1.71
2007-06-26 12:30 vskirdin Resolution open => fixed
2007-06-26 12:30 vskirdin Note Added: 0000489
2007-07-16 16:06 alexy Status resolved => closed